## setbfree 0.5.5

=== Makefile ===
VERSION=0.5.4
export VERSION

include common.mak

SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth

ifeq ($(TCLTKPREFIX),)
  $(info "TCL/TK is not available - install tk-dev and tcl-dev to build the GUI")
else
	SUBDIRS+=vb3kb
endif

default: all

$(SUBDIRS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean install uninstall: $(SUBDIRS)

doc:
	help2man -N --help-option=-H -n 'DSP tonewheel organ' -o doc/setBfree.1 src/setBfree
	help2man -N -n 'The B Preamp/Overdrive Emulator' -o doc/jboverdrive.1 b_overdrive/jboverdrive
	VB3KBTCL=vb3kb/vb3kb.tcl help2man -N -n 'Virtual Organ - setBfree control GUI' \
		--help-option=--help --version-option=--version --no-discard-stderr -o doc/vb3kb.1 vb3kb/vb3kb

dist:
	git archive --format=tar --prefix=setbfree-$(VERSION)/ HEAD | gzip -9 > setbfree-$(VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist doc

=== b_conv/Makefile ===
include ../common.mak

IRPATH ?= $(sharedir)/ir

CXXFLAGS+= -DIRPATH=\"$(IRPATH)\"
LOADLIBES = -lm

# nothing to compile here. ../src will call make convolution.o
targets=

all: $(targets)

%.o: %.h ../src/cfgParser.h ../src/midi.h

clean:
	rm -f *.o

install:
ifeq ($(ENABLE_CONVOLUTION), yes)
	install -d $(DESTDIR)$(sharedir)/ir
	-install -m644 ir/*.wav $(DESTDIR)$(sharedir)/ir
endif

uninstall:
	-rmdir $(DESTDIR)$(sharedir)/ir
	-rmdir $(DESTDIR)$(sharedir)

.PHONY: clean all install uninstall

=== b_overdrive/Makefile ===
include ../common.mak

LOADLIBES = -lm

targets=overdrive.o

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  LIB_EXT=.so
  LV2NAME=b_overdrive
endif

ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
  CFLAGS+=-DHAVE_LIBLO `pkg-config --cflags liblo`
  LOADLIBES+=`pkg-config --libs liblo`
endif

ifeq ($(shell pkg-config --exists jack && echo yes), yes)
  targets+=jboverdrive
  binaries+=jboverdrive
  CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
  LOADLIBES+=`pkg-config --libs jack`
endif

OVMSRC=\
	overmaker.c \
	filterTools.c \
	ovt_biased.c

all: $(targets)

jboverdrive: jboverdrive.c overdrive.o

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT)

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c overdrive.o

overdrive.o: overmaker overdrive.h ../src/cfgParser.h ../src/midi.h
	./overmaker > overdrive.c
	$(CC) -Wall $(OPTIMIZATIONS) -fPIC -c -o overdrive.o overdrive.c

overmaker:$(OVMSRC) overmakerdefs.h
	$(CC) -o $(@) $(OVMSRC) -lm

install: $(targets)
ifneq ($(strip $(binaries)),)
	-install -d $(DESTDIR)$(bindir)
	install -m755 $(binaries) $(DESTDIR)$(bindir)
endif
ifneq ($(strip $(LV2NAME)),)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
ifneq ($(strip $(binaries)),)
	rm -f $(foreach fname,$(binaries),$(DESTDIR)$(bindir)/$(fname))
	-rmdir $(DESTDIR)$(bindir)
endif
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT) overdrive.c

.PHONY: clean all install uninstall lv2

=== b_reverb/Makefile ===
include ../common.mak

LOADLIBES = -lm

targets=reverb.o

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  LIB_EXT=.so
  LV2NAME=b_reverb
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) 

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME)$(LIB_EXT): lv2.c reverb.o
	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c reverb.o

%.o: %c %.h ../src/cfgParser.h

install: $(targets)
ifneq ($(strip $(LV2NAME)),)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== b_synth/Makefile ===
include ../common.mak

LOADLIBES = -lm
CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl

targets=

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  LIB_EXT=.so
  LV2NAME=b_synth
endif

#NOTE: midi.c and cfgParser.c needs to be re-compiled w/o HAVE_ASEQ
# and HAVE_ZITACONVOLVE. Other objects are identical.
OBJ= \
  ../src/midi.c \
  ../src/cfgParser.c \
  ../src/program.o \
  ../src/vibrato.o \
  ../src/tonegen.o \
  ../src/pgmParser.o \
  ../b_whirl/eqcomp.o \
  ../b_whirl/whirl.o \
  ../b_overdrive/overdrive.o \
  ../b_reverb/reverb.o \

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) 

manifest.ttl: manifest.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME)$(LIB_EXT): lv2.c $(OBJ)  ../src/cfgParser.h ../src/midi.h
	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c $(OBJ)

%.o: %.c %.h
	+$(MAKE) -C ../src $(subst ../src/,,$@)

install: $(targets)
ifneq ($(strip $(LV2NAME)),)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== b_whirl/Makefile ===
include ../common.mak

LOADLIBES = -lm

targets=whirl.o eqcomp.o

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  LIB_EXT=.so
  LV2NAME=b_whirl
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) 

manifest.ttl:
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl

$(LV2NAME)$(LIB_EXT): lv2.c whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c whirl.o eqcomp.o

install: $(targets)
ifneq ($(strip $(LV2NAME)),)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== src/Makefile ===
include ../common.mak

INCLUDEPATHS = -I../b_overdrive/ -I../b_whirl  -I../b_reverb -I../b_conv

CFLAGS+= $(INCLUDEPATHS)
CFLAGS+= -DSHAREDIR="\"$(sharedir)\""
LOADLIBES = -lm -lpthread

BXCC=$(CC)

OBJS= \
	midi.o \
	vibrato.o \
	tonegen.o \
	program.o \
	pgmParser.o \
	cfgParser.o \
	main.o \
	../b_reverb/reverb.o \
	../b_whirl/eqcomp.o \
	../b_whirl/whirl.o \
	../b_overdrive/overdrive.o

HEADERS = \
	cfgParser.h \
	main.h \
	midi.h \
	pgmParser.h \
	program.h \
	vibrato.h \
	tonegen.h \
	defaultpgm.h \
	../b_reverb/reverb.h \
	../b_whirl/eqcomp.h \
	../b_whirl/whirl.h \
	../b_overdrive/overdrive.h


ifeq ($(shell pkg-config --exists jack || echo no), no)
  $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
endif

ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
  CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
  LOADLIBES+=`pkg-config --libs alsa`
else
  $(info "compiling w/o ALSA Sequencer - libasound is missing - JACK-midi is always on")
endif


CFLAGS+=`pkg-config --cflags jack`
LOADLIBES+=`pkg-config --libs jack`

ifeq ($(shell pkg-config --exists sndfile \
	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
	&& echo yes), $(ENABLE_CONVOLUTION))
  CFLAGS+= -DHAVE_ZITACONVOLVE `pkg-config --cflags sndfile`
  LOADLIBES+=-lzita-convolver `pkg-config --libs sndfile`
  OBJS+=../b_conv/convolution.o
  HEADERS+=../b_conv/convolution.h
  BXCC=$(CXX)
else
  $(info "compiling w/o ZITA Convolution Reverb -- needs libzita-convolver3 and libsndfile")
endif

all: setBfree

setBfree: $(HEADERS) $(OBJS)
	$(BXCC) -o $(@) $(OBJS) $(LOADLIBES) $(CFLAGS) $(LDFLAGS)

programd: program.c pgmParser.c program.h pgmParser.h main.h
	$(CC) -Wall -o $(@) -DPRG_MAIN program.c pgmParser.c $(INCLUDEPATHS)

configd: cfgParser.c main.h
	$(CC) -Wall -o $(@) -DCFG_MAIN cfgParser.c

defaultpgm.h: programd ../pgm/default.pgm
	$(info re-generating default program include-file)
	./programd ../pgm/default.pgm > defaultpgm.h

program.o: defaultpgm.h

# override .o in parent dirs -- needed for parallel builds

../b_reverb/reverb.o: ../b_reverb/reverb.[ch]
	+$(MAKE) -C ../b_reverb reverb.o

../b_whirl/eqcomp.o: ../b_whirl/eqcomp.[ch]
	+$(MAKE) -C ../b_whirl eqcomp.o

../b_whirl/whirl.o: ../b_whirl/whirl.[ch]
	+$(MAKE) -C ../b_whirl whirl.o

../b_overdrive/overdrive.o: \
  ../b_overdrive/filterTools.[ch] \
  ../b_overdrive/overdrive.h \
  ../b_overdrive/overmaker.[ch] \
  ../b_overdrive/overmakerdefs.h \
  ../b_overdrive/ovt_biased.[ch]
	+$(MAKE) -C ../b_overdrive overdrive.o

../b_conv/convolution.o: ../b_conv/convolution.cc ../b_conv/convolution.h
	+$(MAKE) -C ../b_conv convolution.o

clean:
	rm -f *.o core *.log *~ setBfree configd programd defaultpgm.h

install: setBfree
	install -d $(DESTDIR)$(bindir)
	install -m755 setBfree $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sharedir)/cfg
	install -d $(DESTDIR)$(sharedir)/pgm
	install -m644 ../cfg/*.cfg $(DESTDIR)$(sharedir)/cfg
	install -m644 ../pgm/*.pgm $(DESTDIR)$(sharedir)/pgm
ifneq ($(TCLTKPREFIX),)
	install -m755 setBfree-start.sh $(DESTDIR)$(bindir)/setBfree-start
endif

uninstall:
	rm -f $(DESTDIR)$(bindir)/setBfree
	rm -f $(DESTDIR)$(sharedir)/cfg/*
	rm -f $(DESTDIR)$(sharedir)/pgm/*
	-rmdir $(DESTDIR)$(bindir)
	-rmdir $(DESTDIR)$(sharedir)/cfg
	-rmdir $(DESTDIR)$(sharedir)/pgm
	-rmdir $(DESTDIR)$(sharedir)

.PHONY: clean all install uninstall

=== vb3kb/Makefile ===
include ../common.mak

ifeq ($(TCLTKPREFIX),)
  $(error "TCL/TK is not available - install tk-dev and tcl-dev to build the GUI")
endif

TCLFILE ?= $(sharedir)/vb3kb.tcl

OBJS=vb3kb.o midi_jack.o

LOADLIBES=-lm -lpthread
CFLAGS+=-DVKB_TCLFILE=\"$(TCLFILE)\"

CFLAGS+=-I$(TCLTKPREFIX)/include/tcl`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tclConfig.sh && echo \$$TCL_VERSION`
LOADLIBES+=-ltcl`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tclConfig.sh && echo \$$TCL_VERSION`
LOADLIBES+=-ltk`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tkConfig.sh && echo \$$TK_VERSION`
LOADLIBES+=`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tkConfig.sh && echo $$TK_LIBS`

ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
  CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
  LOADLIBES+=`pkg-config --libs alsa`
  OBJS+=midi_alsa.o
else
  $(info "compiling w/o ALSA Sequencer, JACK-midi is always on")
endif

CFLAGS+=`pkg-config --cflags jack`
LOADLIBES+=`pkg-config --libs jack`

all: vb3kb

vb3kb: $(OBJS)

clean:
	rm -f *.o vb3kb

install: vb3kb
	install -d $(DESTDIR)$(bindir)
	install -m755 vb3kb $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sharedir)
	install -m644 vb3kb.tcl $(DESTDIR)$(sharedir)

uninstall:
	rm -f $(DESTDIR)$(bindir)/vb3kb
	rm -f $(DESTDIR)$(sharedir)/vb3kb.tcl
	-rmdir $(DESTDIR)$(bindir)
	-rmdir $(DESTDIR)$(sharedir)

.PHONY: clean all install uninstall

=== debian/changelog ===
setbfree (0.5.5-1) unstable; urgency=low

  * Initial release. (Closes: #682831)

 -- Robin Gareus <robin@gareus.org>  Wed, 18 Jul 2012 13:22:26 +0200

=== debian/control ===
Source: setbfree
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Robin Gareus <robin@gareus.org>
Build-Depends:
 debhelper (>= 9),
 libasound2-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libsndfile1-dev,
 libzita-convolver-dev (>=3.1.0),
 lv2-dev (>=1.0.0~dfsg2-2),
 tcl-dev,
 tk-dev
Standards-Version: 3.9.3
Homepage: https://setbfree.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git

Package: setbfree
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides: lv2-plugin
Description: DSP tonewheel organ
 setBfree is a MIDI-controlled, software synthesizer designed to imitate
 the sound and properties of the electromechanical organs and sound
 modification devices that brought world-wide fame to the names and
 products of Laurens Hammond and Don Leslie.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/pantherb/setbfree 	\
 /github/pantherb/setbfree/v(.+)\.tar\.gz

## setbfree 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.5.4
+VERSION=0.6.2
 export VERSION
 
 include common.mak

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LIB_EXT=.so
   LV2NAME=b_overdrive
 endif
 
@@ -37,7 +36,7 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c overdrive.o
+	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c overdrive.o
 
 overdrive.o: overmaker overdrive.h ../src/cfgParser.h ../src/midi.h
 	./overmaker > overdrive.c

=== b_reverb/Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LIB_EXT=.so
   LV2NAME=b_reverb
 endif
 
@@ -18,7 +17,7 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c reverb.o
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c reverb.o
+	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c reverb.o
 
 %.o: %c %.h ../src/cfgParser.h

=== b_synth/Makefile ===
include ../common.mak

LOADLIBES = -lm
CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -std=c99
CFLAGS+=`pkg-config --cflags lv2 lv2core`

FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
ifeq ($(shell test -f $(FONTFILE) || echo no ), no)
  $(warning UI font can not be found on this system, install bitstream-vera TTF or set the FONTFILE variable to a ttf file)
  $(warning LV2 GUI is built without information display)
  FONT_FOUND=no
else
  FONT_FOUND=yes
endif

targets=

ifeq ($(IS_OSX), yes)
  HAVE_UI=yes
else
  HAVE_UI=$(shell pkg-config --exists glu && echo yes)
endif

ifeq ($(LV2AVAIL), yes)
  LV2NAME=b_synth
  targets+=lv2

  ifeq ($(HAVE_UI), yes)
    #UICFLAGS=`pkg-config --cflags pugl-0`
    #UILIBS=`pkg-config --libs pugl-0`
    UICFLAGS=-I..
    UIDEPS=../pugl/pugl.h ../pugl/pugl_internal.h ui_model.h
    UIDEPS+=drawbar.c wood.c dial.c
    UIDEPS+=btn_vibl.c btn_vibu.c
    UIDEPS+=btn_perc.c btn_perc_decay.c btn_perc_harmonic.c btn_perc_volume.c
    UIDEPS+=btn_overdrive.c
    UIDEPS+=bg_right_ctrl.c bg_left_ctrl.c bg_leslie_drum.c bg_leslie_horn.c
    UIDEPS+=help_screen_image.c
    LV2GUI=b_synthUI
    ifeq ($(IS_OSX), yes)
      UIDEPS+=../pugl/pugl_osx.m
      UILIBS=../pugl/pugl_osx.m -framework Cocoa -framework OpenGL
      UI_TYPE=CocoaUI
    else
      UIDEPS+=../pugl/pugl_x11.c
      CFLAGS+=`pkg-config --cflags glu`
      UILIBS=../pugl/pugl_x11.c -lX11 `pkg-config --libs glu`
      UI_TYPE=X11UI
    endif
    ifeq ($(shell pkg-config --exists ftgl && echo $(FONT_FOUND)), yes)
      CFLAGS+=`pkg-config --cflags ftgl` -DHAVE_FTGL
      UILIBS+=`pkg-config --libs ftgl`
      CFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
    endif
    targets+=$(LV2GUI)$(LIB_EXT)
  else
    $(warning "openGL/GLU is not available - install glu-dev to include LV2 GUI")
  endif
endif

#NOTE: midi.c and cfgParser.c needs to be re-compiled w/o HAVE_ASEQ
# and HAVE_ZITACONVOLVE. Other objects are identical.
OBJ= \
  ../src/midi.c \
  ../src/cfgParser.c \
  ../src/program.o \
  ../src/vibrato.o \
  ../src/state.o \
  ../src/tonegen.o \
  ../src/pgmParser.o \
  ../b_whirl/eqcomp.o \
  ../b_whirl/whirl.o \
  ../b_overdrive/overdrive.o \
  ../b_reverb/reverb.o \

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
endif

$(LV2NAME).ttl: $(LV2NAME).ttl.in $(LV2NAME).ui.ttl.in
	cat $(LV2NAME).ttl.in > $(LV2NAME).ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" $(LV2NAME).ui.ttl.in >> $(LV2NAME).ttl
endif

$(LV2NAME)$(LIB_EXT): lv2.c $(OBJ) uris.h ../src/cfgParser.h ../src/midi.h
	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c $(OBJ)

$(LV2GUI)$(LIB_EXT): ui.c uris.h $(UIDEPS)
	$(CC) $(CFLAGS) \
		-o $(LV2GUI)$(LIB_EXT) ui.c \
		$(LDFLAGS) $(UICFLAGS) $(UILIBS) -shared $(LV2LDFLAGS)

%.o: %.c %.h
	+$(MAKE) -C ../src $(subst ../src/,,$@)

install: $(targets)
ifneq ($(strip $(LV2NAME)),)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
  ifeq ($(HAVE_UI), yes)
	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
  endif
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl b_synth.ttl
	rm -f $(LV2NAME)$(LIB_EXT)
	rm -f $(LV2GUI)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== b_whirl/Makefile ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LIB_EXT=.so
   LV2NAME=b_whirl
 endif
 
@@ -18,13 +17,13 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared -Wl,-Bstatic -Wl,-Bdynamic lv2.c whirl.o eqcomp.o
+	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c whirl.o eqcomp.o
 
 install: $(targets)
 ifneq ($(strip $(LV2NAME)),)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
-	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
+	install -m644 manifest.ttl $(LV2NAME)*.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
 endif
 
 uninstall:

=== src/Makefile ===
--- 
+++ 
@@ -10,12 +10,15 @@
 
 OBJS= \
 	midi.o \
+	midi_aseq.o \
+	state.o \
 	vibrato.o \
 	tonegen.o \
 	program.o \
 	pgmParser.o \
 	cfgParser.o \
 	main.o \
+	midnam.o \
 	../b_reverb/reverb.o \
 	../b_whirl/eqcomp.o \
 	../b_whirl/whirl.o \
@@ -23,8 +26,11 @@
 
 HEADERS = \
 	cfgParser.h \
+	global_inst.h \
 	main.h \
 	midi.h \
+	midi_aseq.h \
+	midi_types.h \
 	pgmParser.h \
 	program.h \
 	vibrato.h \

=== debian/changelog ===
setbfree (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/control:
    - Build-Depends on
      + ibftgl-dev
      + libglu1-mesa-dev
      + libx11-dev
    - Depends on ttf-bitstream-vera.
    - Fix Homepage field.
    - Bump Standards.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Apr 2013 00:52:34 +0200

## setbfree 0.7.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.6.2
+VERSION=0.7.5
 export VERSION
 
 include common.mak

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -4,20 +4,21 @@
 
 targets=overdrive.o
 
+LV2NAME=b_overdrive
+
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LV2NAME=b_overdrive
 endif
 
 ifeq ($(shell pkg-config --exists liblo && echo yes), yes)
-  CFLAGS+=-DHAVE_LIBLO `pkg-config --cflags liblo`
+  override CFLAGS+=-DHAVE_LIBLO `pkg-config --cflags liblo`
   LOADLIBES+=`pkg-config --libs liblo`
 endif
 
 ifeq ($(shell pkg-config --exists jack && echo yes), yes)
   targets+=jboverdrive
   binaries+=jboverdrive
-  CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
+  override CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
   LOADLIBES+=`pkg-config --libs jack`
 endif
 
@@ -36,11 +37,13 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c overdrive.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) lv2.c overdrive.o \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 overdrive.o: overmaker overdrive.h ../src/cfgParser.h ../src/midi.h
 	./overmaker > overdrive.c
-	$(CC) -Wall $(OPTIMIZATIONS) -fPIC -c -o overdrive.o overdrive.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
 	$(CC) -o $(@) $(OVMSRC) -lm

=== b_reverb/Makefile ===
--- 
+++ 
@@ -4,9 +4,10 @@
 
 targets=reverb.o
 
+LV2NAME=b_reverb
+
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LV2NAME=b_reverb
 endif
 
 all: $(targets)
@@ -17,7 +18,9 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c reverb.o
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c reverb.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) lv2.c reverb.o \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 %.o: %c %.h ../src/cfgParser.h

=== b_synth/Makefile ===
--- 
+++ 
@@ -1,57 +1,62 @@
 include ../common.mak
 
 LOADLIBES = -lm
-CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -std=c99
-CFLAGS+=`pkg-config --cflags lv2 lv2core`
+override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -std=c99
+override CFLAGS+=`pkg-config --cflags lv2`
 
-FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
+ifeq ($(IS_OSX), yes)
+  FONTFILE?=/usr/X11/lib/X11/fonts/TTF/VeraBd.ttf
+else
+  FONTFILE?=/usr/share/fonts/truetype/ttf-bitstream-vera/VeraBd.ttf
+endif
+
 ifeq ($(shell test -f $(FONTFILE) || echo no ), no)
   $(warning UI font can not be found on this system, install bitstream-vera TTF or set the FONTFILE variable to a ttf file)
-  $(warning LV2 GUI is built without information display)
+  $(warning LV2 GUI will not be built)
   FONT_FOUND=no
 else
   FONT_FOUND=yes
 endif
 
+ifeq ($(IS_OSX), yes)
+  HAVE_UI=$(shell pkg-config --exists ftgl && echo $(FONT_FOUND))
+else
+  HAVE_UI=$(shell pkg-config --exists glu ftgl && echo $(FONT_FOUND))
+endif
+
 targets=
 
-ifeq ($(IS_OSX), yes)
-  HAVE_UI=yes
-else
-  HAVE_UI=$(shell pkg-config --exists glu && echo yes)
-endif
+LV2NAME=b_synth
+LV2GUI=b_synthUI
+TX=textures/
 
 ifeq ($(LV2AVAIL), yes)
-  LV2NAME=b_synth
   targets+=lv2
 
   ifeq ($(HAVE_UI), yes)
-    #UICFLAGS=`pkg-config --cflags pugl-0`
-    #UILIBS=`pkg-config --libs pugl-0`
     UICFLAGS=-I..
     UIDEPS=../pugl/pugl.h ../pugl/pugl_internal.h ui_model.h
-    UIDEPS+=drawbar.c wood.c dial.c
-    UIDEPS+=btn_vibl.c btn_vibu.c
-    UIDEPS+=btn_perc.c btn_perc_decay.c btn_perc_harmonic.c btn_perc_volume.c
-    UIDEPS+=btn_overdrive.c
-    UIDEPS+=bg_right_ctrl.c bg_left_ctrl.c bg_leslie_drum.c bg_leslie_horn.c
-    UIDEPS+=help_screen_image.c
-    LV2GUI=b_synthUI
+    UIDEPS+=$(TX)drawbar.c $(TX)wood.c $(TX)dial.c
+    UIDEPS+=$(TX)btn_vibl.c $(TX)btn_vibu.c $(TX)btn_overdrive.c $(TX)btn_perc_volume.c
+    UIDEPS+=$(TX)btn_perc.c $(TX)btn_perc_decay.c $(TX)btn_perc_harmonic.c
+    UIDEPS+=$(TX)bg_right_ctrl.c $(TX)bg_left_ctrl.c $(TX)bg_leslie_drum.c $(TX)bg_leslie_horn.c
+    UIDEPS+=$(TX)help_screen_image.c
+    UIDEPS+=$(TX)ui_button_image.c $(TX)ui_proc_image.c
+    UIDEPS+=$(TX)uim_background.c $(TX)uim_cable1.c $(TX)uim_cable2.c $(TX)uim_caps.c
+    UIDEPS+=$(TX)uim_tube1.c $(TX)uim_tube2.c
     ifeq ($(IS_OSX), yes)
       UIDEPS+=../pugl/pugl_osx.m
       UILIBS=../pugl/pugl_osx.m -framework Cocoa -framework OpenGL
       UI_TYPE=CocoaUI
     else
       UIDEPS+=../pugl/pugl_x11.c
-      CFLAGS+=`pkg-config --cflags glu`
+      override CFLAGS+=`pkg-config --cflags glu`
       UILIBS=../pugl/pugl_x11.c -lX11 `pkg-config --libs glu`
       UI_TYPE=X11UI
     endif
-    ifeq ($(shell pkg-config --exists ftgl && echo $(FONT_FOUND)), yes)
-      CFLAGS+=`pkg-config --cflags ftgl` -DHAVE_FTGL
-      UILIBS+=`pkg-config --libs ftgl`
-      CFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
-    endif
+    override CFLAGS+=`pkg-config --cflags ftgl` -DHAVE_FTGL
+    UILIBS+=`pkg-config --libs ftgl`
+    override CFLAGS+=-DFONTFILE=\"$(FONTFILE)\"
     targets+=$(LV2GUI)$(LIB_EXT)
   else
     $(warning "openGL/GLU is not available - install glu-dev to include LV2 GUI")
@@ -68,6 +73,7 @@
   ../src/state.o \
   ../src/tonegen.o \
   ../src/pgmParser.o \
+  ../src/memstream.o \
   ../b_whirl/eqcomp.o \
   ../b_whirl/whirl.o \
   ../b_overdrive/overdrive.o \
@@ -90,12 +96,15 @@
 endif
 
 $(LV2NAME)$(LIB_EXT): lv2.c $(OBJ) uris.h ../src/cfgParser.h ../src/midi.h
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c $(OBJ)
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) \
+		lv2.c $(OBJ) \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES)
 
 $(LV2GUI)$(LIB_EXT): ui.c uris.h $(UIDEPS)
-	$(CC) $(CFLAGS) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) \
 		-o $(LV2GUI)$(LIB_EXT) ui.c \
-		$(LDFLAGS) $(UICFLAGS) $(UILIBS) -shared $(LV2LDFLAGS)
+		-shared $(LV2LDFLAGS) $(LDFLAGS) $(UILIBS)
 
 %.o: %.c %.h
 	+$(MAKE) -C ../src $(subst ../src/,,$@)

=== b_whirl/Makefile ===
--- 
+++ 
@@ -4,20 +4,23 @@
 
 targets=whirl.o eqcomp.o
 
+LV2NAME=b_whirl
+
 ifeq ($(LV2AVAIL), yes)
   targets+=lv2
-  LV2NAME=b_whirl
 endif
 
 all: $(targets)
 
 lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) 
 
-manifest.ttl:
+manifest.ttl: manifest.ttl.in
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
-	$(CC) -o $(LV2NAME)$(LIB_EXT) $(CFLAGS) -shared $(LV2LDFLAGS) lv2.c whirl.o eqcomp.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(LV2NAME)$(LIB_EXT) lv2.c whirl.o eqcomp.o \
+	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
 install: $(targets)
 ifneq ($(strip $(LV2NAME)),)

=== src/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 INCLUDEPATHS = -I../b_overdrive/ -I../b_whirl  -I../b_reverb -I../b_conv
 
-CFLAGS+= $(INCLUDEPATHS)
-CFLAGS+= -DSHAREDIR="\"$(sharedir)\""
+override CFLAGS += $(INCLUDEPATHS)
+override CFLAGS += -DSHAREDIR="\"$(sharedir)\""
 LOADLIBES = -lm -lpthread
 
 BXCC=$(CC)
@@ -19,6 +19,7 @@
 	cfgParser.o \
 	main.o \
 	midnam.o \
+	memstream.o \
 	../b_reverb/reverb.o \
 	../b_whirl/eqcomp.o \
 	../b_whirl/whirl.o \
@@ -36,6 +37,7 @@
 	vibrato.h \
 	tonegen.h \
 	defaultpgm.h \
+	memstream.h \
 	../b_reverb/reverb.h \
 	../b_whirl/eqcomp.h \
 	../b_whirl/whirl.h \
@@ -47,20 +49,20 @@
 endif
 
 ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
-  CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
+  override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
   LOADLIBES+=`pkg-config --libs alsa`
 else
   $(info "compiling w/o ALSA Sequencer - libasound is missing - JACK-midi is always on")
 endif
 
 
-CFLAGS+=`pkg-config --cflags jack`
+override CFLAGS+=`pkg-config --cflags jack`
 LOADLIBES+=`pkg-config --libs jack`
 
 ifeq ($(shell pkg-config --exists sndfile \
 	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
 	&& echo yes), $(ENABLE_CONVOLUTION))
-  CFLAGS+= -DHAVE_ZITACONVOLVE `pkg-config --cflags sndfile`
+  override CFLAGS+= -DHAVE_ZITACONVOLVE `pkg-config --cflags sndfile`
   LOADLIBES+=-lzita-convolver `pkg-config --libs sndfile`
   OBJS+=../b_conv/convolution.o
   HEADERS+=../b_conv/convolution.h
@@ -72,13 +74,19 @@
 all: setBfree
 
 setBfree: $(HEADERS) $(OBJS)
-	$(BXCC) -o $(@) $(OBJS) $(LOADLIBES) $(CFLAGS) $(LDFLAGS)
+	$(BXCC) $(CPPFLAGS) $(CFLAGS) \
+		-o $(@) $(OBJS) \
+		$(LDFLAGS) $(LOADLIBES)
 
 programd: program.c pgmParser.c program.h pgmParser.h main.h
-	$(CC) -Wall -o $(@) -DPRG_MAIN program.c pgmParser.c $(INCLUDEPATHS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -Wall \
+		-DPRG_MAIN \
+		-o $(@) program.c pgmParser.c
 
 configd: cfgParser.c main.h
-	$(CC) -Wall -o $(@) -DCFG_MAIN cfgParser.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -Wall \
+		-DCFG_MAIN \
+		-o $(@) cfgParser.c
 
 defaultpgm.h: programd ../pgm/default.pgm
 	$(info re-generating default program include-file)

=== vb3kb/Makefile ===
--- 
+++ 
@@ -9,22 +9,22 @@
 OBJS=vb3kb.o midi_jack.o
 
 LOADLIBES=-lm -lpthread
-CFLAGS+=-DVKB_TCLFILE=\"$(TCLFILE)\"
+override CFLAGS+=-DVKB_TCLFILE=\"$(TCLFILE)\"
 
-CFLAGS+=-I$(TCLTKPREFIX)/include/tcl`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tclConfig.sh && echo \$$TCL_VERSION`
+override CFLAGS+=-I$(TCLTKPREFIX)/include/tcl`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tclConfig.sh && echo \$$TCL_VERSION`
 LOADLIBES+=-ltcl`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tclConfig.sh && echo \$$TCL_VERSION`
 LOADLIBES+=-ltk`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tkConfig.sh && echo \$$TK_VERSION`
 LOADLIBES+=`. $(TCLTKPREFIX)/$(TCLTKLIBDIR)/tkConfig.sh && echo $$TK_LIBS`
 
 ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
-  CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
+  override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
   LOADLIBES+=`pkg-config --libs alsa`
   OBJS+=midi_alsa.o
 else
   $(info "compiling w/o ALSA Sequencer, JACK-midi is always on")
 endif
 
-CFLAGS+=`pkg-config --cflags jack`
+override CFLAGS+=`pkg-config --cflags jack`
 LOADLIBES+=`pkg-config --libs jack`
 
 all: vb3kb

=== debian/changelog ===
setbfree (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 09:45:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,29 @@
 Build-Depends:
  debhelper (>= 9),
  libasound2-dev,
+ libftgl-dev,
+ libglu1-mesa-dev,
  libjack-dev | libjack-jackd2-dev,
  liblo-dev,
  libsndfile1-dev,
+ libx11-dev,
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
  tcl-dev,
  tk-dev
-Standards-Version: 3.9.3
-Homepage: https://setbfree.org
+Standards-Version: 3.9.4
+Homepage: http://setbfree.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git
 
 Package: setbfree
 Architecture: any
 Depends:
+ ttf-bitstream-vera,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Description: DSP tonewheel organ
  setBfree is a MIDI-controlled, software synthesizer designed to imitate
  the sound and properties of the electromechanical organs and sound

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		ENABLE_CONVOLUTION=yes \
		PREFIX=/usr \
		OPTIMIZATIONS=-O2

override_dh_auto_install:
	dh_auto_install -- \
		ENABLE_CONVOLUTION=yes \
		DESTDIR=$(CURDIR)/debian/setbfree \
		PREFIX=/usr

override_dh_auto_clean:

## setbfree 0.8.0

=== Makefile ===
EXPORTED_VERSION=0.8.0
export EXPORTED_VERSION

ifneq ($(FONTFILE),)
export FONTFILE
endif

ifneq ($(wildcard robtk/robtk.mk),)
  ROBTK ?= robtk/
endif

ifneq ($(ROBTK),)
RW=$(abspath $(ROBTK))/
export RW
endif

SUBDIRS = b_overdrive b_whirl b_reverb b_conv src b_synth ui

default: all

$(SUBDIRS)::
	$(MAKE) -C $@ $(MAKECMDGOALS)

all clean install uninstall: $(SUBDIRS)

doc:
	help2man -N --help-option=-H -n 'DSP tonewheel organ' -o doc/setBfree.1 src/setBfree
	help2man -N -n 'The B Whirl Speaker' -o doc/x42-whirl.1 b_whirl/x42-whirl
	-help2man -N -n 'The B Preamp/Overdrive Emulator' -o doc/jboverdrive.1 b_overdrive/jboverdrive

dist:
	git archive --format=tar --prefix=setbfree-$(EXPORTED_VERSION)/ HEAD | gzip -9 > setbfree-$(EXPORTED_VERSION).tar.gz

.PHONY: clean all subdirs install uninstall dist doc

=== b_overdrive/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
   LOADLIBES+=`pkg-config --libs liblo`
 endif
 
-ifeq ($(shell pkg-config --exists jack && echo yes), yes)
+ifeq ($(shell pkg-config --exists jack && echo yes)$(OVERDRIVEJACK), yesyes)
   targets+=jboverdrive
   binaries+=jboverdrive
   override CFLAGS+=-DHAVE_JACK `pkg-config --cflags jack`
@@ -37,23 +37,25 @@
 	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
 
 $(LV2NAME)$(LIB_EXT): lv2.c overdrive.o
-	$(CC) $(CPPFLAGS) $(CFLAGS) \
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fvisibility=hidden \
 		-o $(LV2NAME)$(LIB_EXT) lv2.c overdrive.o \
 	  -shared $(LV2LDFLAGS) $(LDFLAGS)
 
-overdrive.o: overmaker overdrive.h ../src/cfgParser.h ../src/midi.h
-	./overmaker > overdrive.c
+overdrive.o: overdrive.c overdrive.h ../src/cfgParser.h ../src/midi.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o overdrive.o overdrive.c
 
 overmaker:$(OVMSRC) overmakerdefs.h
 	$(CC) -o $(@) $(OVMSRC) -lm
+
+overdrive: overmaker
+	./overmaker > overdrive.c
 
 install: $(targets)
 ifneq ($(strip $(binaries)),)
 	-install -d $(DESTDIR)$(bindir)
 	install -m755 $(binaries) $(DESTDIR)$(bindir)
 endif
-ifneq ($(strip $(LV2NAME)),)
+ifeq ($(LV2AVAIL), yes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
@@ -69,6 +71,6 @@
 	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
 
 clean:
-	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT) overdrive.c
+	rm -f *.o jboverdrive overmaker manifest.ttl $(LV2NAME)$(LIB_EXT)
 
-.PHONY: clean all install uninstall lv2
+.PHONY: clean all install uninstall lv2 overdrive

=== b_reverb/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include ../common.mak
 
 LOADLIBES = -lm
+override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden
 
 targets=reverb.o
 
@@ -25,7 +26,7 @@
 %.o: %c %.h ../src/cfgParser.h
 
 install: $(targets)
-ifneq ($(strip $(LV2NAME)),)
+ifeq ($(LV2AVAIL), yes)
 	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
 	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)

=== b_synth/Makefile ===
include ../common.mak

LOADLIBES = -lm
override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl
override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -fvisibility=hidden
targets=

LV2NAME=b_synth
LV2GUI=b_synthUI
TX=textures/

ifeq ($(LV2AVAIL), yes)
  targets+=lv2
  ifeq ($(HAVE_UI), yes)
    targets+=$(LV2GUI)$(LIB_EXT)
  else
    $(warning "Synth GUI will not be built")
    $(warning "either openGL/GLU is not available - install glu-dev, ftgl-dev")
    $(warning "or $(FONTFILE) cannot be found")
  endif
endif

ifeq ($(IS_WIN)$(IS_OSX), yes)
  CC=$(CXX)
else
  ifneq ($(ENABLE_CONVOLUTION), yes)
    override CFLAGS+=-std=c99
  endif
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) $(LV2NAME).ttl

manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
endif

$(LV2NAME).ttl: $(LV2NAME).ttl.in $(LV2NAME).ui.ttl.in
	cat $(LV2NAME).ttl.in > $(LV2NAME).ttl
ifeq ($(HAVE_UI), yes)
	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" $(LV2NAME).ui.ttl.in >> $(LV2NAME).ttl
endif

$(LV2NAME)$(LIB_EXT): lv2.c $(LV2OBJ) uris.h ../src/cfgParser.h ../src/midi.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIC_CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) \
		lv2.c $(LV2OBJ) \
	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES) $(LIC_LOADLIBES)

$(LV2GUI)$(LIB_EXT): ui.c uris.h $(UIDEPS) $(FONTFILE) $(LV2OBJ)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) \
		-o $(LV2GUI)$(LIB_EXT) ui.c -DCONFIGDOCONLY \
		../src/midi.c \
		../src/program.c \
		../src/vibrato.c \
		../src/tonegen.c \
		../b_whirl/whirl.c \
		../b_overdrive/overdrive.c \
		../b_reverb/reverb.c \
		-shared $(LV2LDFLAGS) $(LDFLAGS) $(UILIBS)

verabd.h: VeraBd.ttf
	xxd -i VeraBd.ttf > verabd.h

install: $(targets)
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME).ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
  ifeq ($(HAVE_UI), yes)
	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
  endif
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)

clean:
	rm -f *.o manifest.ttl b_synth.ttl
	rm -f $(LV2NAME)$(LIB_EXT)
	rm -f $(LV2GUI)$(LIB_EXT)

.PHONY: clean all install uninstall lv2

=== b_whirl/Makefile ===
include ../common.mak

LOADLIBES = -lm
override CFLAGS+=`pkg-config --cflags lv2` -fvisibility=hidden

targets=whirl.o eqcomp.o

LV2NAME=b_whirl
LV2GUI=b_whirlUI_gl

HAVE_RTK = no

ifeq ($(LV2AVAIL), yes)
  targets+=lv2

  ifeq ($(wildcard $(RW)robtk.mk),)
    $(warning This plugin GUI needs https://github.com/x42/robtk)
    $(info set the RW environment variale to the location of the robtk headers)
  else
    HAVE_RTK = $(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) && echo yes)
  endif

  ifeq ($(HAVE_RTK), yes)
    targets+=$(LV2GUI)$(LIB_EXT)
    targets+=x42-whirl$(EXE_EXT)
    override CFLAGS+=-DRTK_STATIC_INIT
  else
    $(warning "whirl/leslie GUI will not be built")
    $(warning "robtk or its dependencies are missing")
  endif
endif

all: $(targets)

lv2: manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl

manifest.ttl: manifest.ttl.in manifest.ui.ttl.in
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LIB_EXT@/$(LIB_EXT)/" manifest.ttl.in > manifest.ttl
ifeq ($(HAVE_RTK), yes)
	sed "s/@LV2NAME@/$(LV2NAME)/;s/@LV2GUI@/$(LV2GUI)/;s/@LIB_EXT@/$(LIB_EXT)/;s/@UI_TYPE@/$(UI_TYPE)/" manifest.ui.ttl.in >> manifest.ttl
endif

b_whirl-configurable.ttl: b_whirl-configurable.ttl.in b_whirl-configurable.ui.ttl.in
	cat b_whirl-configurable.ttl.in > b_whirl-configurable.ttl
ifeq ($(HAVE_RTK), yes)
	sed "s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/;" b_whirl-configurable.ui.ttl.in >>  b_whirl-configurable.ttl
endif

DSP_SRC = lv2.c
DSP_DEPS = whirl.o eqcomp.o whirl.h eqcomp.h ../src/cfgParser.h
GUI_DEPS = gui/b_whirl.c

$(LV2NAME)$(LIB_EXT): $(DSP_SRC) $(DSP_DEPS) Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) \
		-o $(LV2NAME)$(LIB_EXT) lv2.c whirl.o eqcomp.o \
		-shared $(LV2LDFLAGS) $(LDFLAGS)

JACKCFLAGS=$(CFLAGS) $(GLUICFLAGS) $(LIC_CFLAGS) -Wno-unused-function
JACKCFLAGS+=`pkg-config --cflags jack lv2 pango pangocairo $(PKG_GL_LIBS)`
JACKLIBS=-lm $(GLUILIBS) $(LIC_LOADLIBES)

$(eval x42_whirl_JACKSRC = lv2.c whirl.c)
x42_whirl_JACKGUI = gui/b_whirl.c
x42_whirl_LV2HTTL = b_whirl.h
x42_whirl_JACKDESC = lv2ui_descriptor
x42-whirl$(EXE_EXT): $(DSP_DEPS) $(GUI_DEPS) \
	        $(x42_whirl_JACKGUI) $(x42_whirl_LV2HTTL)

-include $(RW)robtk.mk

$(LV2GUI)$(LIB_EXT): gui/b_whirl.c gui/rtk_lever.h

install: $(targets)
ifeq ($(LV2AVAIL), yes)
	install -d $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m755 $(LV2NAME)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -m644 manifest.ttl $(LV2NAME)*.ttl $(DESTDIR)$(lv2dir)/$(LV2NAME)
endif
ifeq ($(HAVE_RTK), yes)
	install -m755 $(LV2GUI)$(LIB_EXT) $(DESTDIR)$(lv2dir)/$(LV2NAME)
	install -d $(DESTDIR)$(bindir)
	install -m755 x42-whirl$(EXE_EXT) $(DESTDIR)$(bindir)
endif

uninstall:
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/*.ttl
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2NAME)$(LIB_EXT)
	rm -f $(DESTDIR)$(lv2dir)/$(LV2NAME)/$(LV2GUI)$(LIB_EXT)
	rm -f $(DESTDIR)$(bindir)/x42-whirl$(EXE_EXT)
	-rmdir $(DESTDIR)$(lv2dir)/$(LV2NAME)
	-rmdir $(DESTDIR)$(bindir)

clean:
	rm -f *.o manifest.ttl $(LV2NAME)$(LIB_EXT) b_whirl-configurable.ttl $(LV2GUI)$(LIB_EXT) x42-whirl$(EXE_EXT)

.PHONY: clean all install uninstall lv2

=== src/Makefile ===
--- 
+++ 
@@ -20,10 +20,10 @@
 	main.o \
 	midnam.o \
 	memstream.o \
-	../b_reverb/reverb.o \
-	../b_whirl/eqcomp.o \
-	../b_whirl/whirl.o \
-	../b_overdrive/overdrive.o
+	../b_reverb/reverb.c \
+	../b_whirl/eqcomp.c \
+	../b_whirl/whirl.c \
+	../b_overdrive/overdrive.c
 
 HEADERS = \
 	cfgParser.h \
@@ -48,16 +48,21 @@
   $(error "JACK is required - install libjack-dev or libjack-jackd2-dev")
 endif
 
-ifeq ($(shell pkg-config --exists alsa && echo yes), yes)
+ifeq ($(shell pkg-config --exists alsa && echo yes)$(ENABLE_ALSA), yesyes)
   override CFLAGS+=-DHAVE_ASEQ `pkg-config --cflags alsa`
   LOADLIBES+=`pkg-config --libs alsa`
-else
-  $(info "compiling w/o ALSA Sequencer - libasound is missing - JACK-midi is always on")
 endif
 
 
 override CFLAGS+=`pkg-config --cflags jack`
-LOADLIBES+=`pkg-config --libs jack`
+
+ifeq ($(USEWEAKJACK),1)
+  override CFLAGS+=-DUSE_WEAK_JACK -I$(RW)
+  LOADLIBES+=-ldl
+  WEAKJACK=$(RW)weakjack/weak_libjack.c
+else
+  LOADLIBES+=`pkg-config --libs jack`
+endif
 
 ifeq ($(shell pkg-config --exists sndfile \
 	&& test -f /usr/include/zita-convolver.h -o -f /usr/local/include/zita-convolver.h \
@@ -67,15 +72,13 @@
   OBJS+=../b_conv/convolution.o
   HEADERS+=../b_conv/convolution.h
   BXCC=$(CXX)
-else
-  $(info "compiling w/o ZITA Convolution Reverb -- needs libzita-convolver3 and libsndfile")
 endif
 
-all: setBfree
+all: setBfree$(EXE_EXT)
 
-setBfree: $(HEADERS) $(OBJS)
+setBfree$(EXE_EXT): $(HEADERS) $(OBJS)
 	$(BXCC) $(CPPFLAGS) $(CFLAGS) \
-		-o $(@) $(OBJS) \
+		-o $(@) $(OBJS) $(WEAKJACK) \
 		$(LDFLAGS) $(LOADLIBES)
 
 programd: program.c pgmParser.c program.h pgmParser.h main.h
@@ -88,7 +91,7 @@
 		-DCFG_MAIN \
 		-o $(@) cfgParser.c
 
-defaultpgm.h: programd ../pgm/default.pgm
+program: programd ../pgm/default.pgm
 	$(info re-generating default program include-file)
 	./programd ../pgm/default.pgm > defaultpgm.h
 
@@ -117,7 +120,7 @@
 	+$(MAKE) -C ../b_conv convolution.o
 
 clean:
-	rm -f *.o core *.log *~ setBfree configd programd defaultpgm.h
+	rm -f *.o core *.log *~ setBfree$(EXE_EXT) configd programd
 
 install: setBfree
 	install -d $(DESTDIR)$(bindir)
@@ -126,9 +129,6 @@
 	install -d $(DESTDIR)$(sharedir)/pgm
 	install -m644 ../cfg/*.cfg $(DESTDIR)$(sharedir)/cfg
 	install -m644 ../pgm/*.pgm $(DESTDIR)$(sharedir)/pgm
-ifneq ($(TCLTKPREFIX),)
-	install -m755 setBfree-start.sh $(DESTDIR)$(bindir)/setBfree-start
-endif
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/setBfree
@@ -139,4 +139,4 @@
 	-rmdir $(DESTDIR)$(sharedir)/pgm
 	-rmdir $(DESTDIR)$(sharedir)
 
-.PHONY: clean all install uninstall
+.PHONY: clean all install uninstall program

=== ui/Makefile ===
include ../common.mak
TX=../b_synth/textures/
WINDRES=$(XWIN)-windres

override CFLAGS+= -I../src -I../b_overdrive -I../b_reverb -I../b_whirl -I../b_synth/
override CFLAGS+=`pkg-config --cflags lv2` -DLV2SYNTH -DREQUIRE_UI

JACKEXTRA=
OSXJACKWRAP=

ifeq ($(IS_OSX), yes)
  OSXJACKWRAP=$(RW)jackwrap.mm
  USEWEAKJACK=1
  CC=$(CXX)
else
  ifeq ($(IS_WIN), yes)
    CC=$(CXX)
    UIDEPS+=win_icon.rc.o
    JACKEXTRA+=win_icon.rc.o
    USEWEAKJACK=1
    override CFLAGS+=-mwindows
  else
    LOADLIBES=-lrt
    UILIBS+=-ldl
    ifneq ($(ENABLE_CONVOLUTION), yes)
      override CFLAGS+=-std=c99
    endif
  endif
endif

ifeq ($(USEWEAKJACK),1)
  UICFLAGS+=-DUSE_WEAK_JACK
  JACKEXTRA+=$(RW)weakjack/weak_libjack.c
else
  UILIBS+=`pkg-config --libs jack`
endif

targets=

DESC=$(abspath desc.h)

ifeq ($(LV2AVAIL)$(HAVE_UI), yesyes)
  targets+=setBfreeUI$(EXE_EXT)
else
  $(warning standalone JACK/GL-GUI will not be built)
endif

all: $(targets)

setBfreeUI$(EXE_EXT): $(RW)jackwrap.c $(LV2OBJ) $(OSXJACKWRAP) $(RW)weakjack/weak_libjack.def $(RW)weakjack/weak_libjack.h $(JACKEXTRA) \
	../b_synth/lv2.c ../b_synth/uris.h \
	../b_synth/ui.c $(UIDEPS) \
	../src/cfgParser.h ../src/midi.h
	$(MAKE) -C ../b_synth $(FONTFILE)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(UICFLAGS) $(LIC_CFLAGS) \
		-pthread \
		-DXTERNAL_UI -DJACK_AUTOCONNECT=15 \
		-DAPPNAME="\"setBfree\"" \
		-DJACK_DESCRIPT=\"$(DESC)\" \
		-o setBfreeUI$(EXE_EXT) \
		$(RW)jackwrap.c $(OSXJACKWRAP) $(JACKEXTRA) \
		$(LV2OBJ) ../b_synth/lv2.c ../b_synth/ui.c \
		$(LDFLAGS) $(UILIBS) $(LOADLIBES) $(LIC_LOADLIBES) \
		-lm

# windows icon
.SUFFFIXES: .rc
win_icon.rc.o: win_icon.rc ../img/setbfree.ico
	$(WINDRES) -o $@ $<

install: $(targets)
ifneq ($(targets),)
	install -d $(DESTDIR)$(bindir)
	install -m755 setBfreeUI$(EXE_EXT) $(DESTDIR)$(bindir)
endif

uninstall:
	rm -f $(DESTDIR)$(bindir)/setBfreeUI$(EXE_EXT)

clean:
	rm -f setBfreeUI$(EXE_EXT)
	rm -f win_icon.rc.o

.PHONY: clean all install uninstall

=== debian/changelog ===
setbfree (0.8.0-1) unstable; urgency=medium

  * Patches refreshed.
  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Drop not needed build deps.
  * Fix desktop file entry.
  * Not install upstream changelog twice.
  * Add Keywords to desktop file.
  * Fix one more spelling mistake.
  * Patches forwarded.
  * Add local-option file.
  * Add dependency to build GUI.
  * Start GUI by desktop file.
  * Pass LDFLAGS after CFLAGS .
  * Add dependency to build whirl GUI.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 22 Sep 2015 07:28:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,23 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Robin Gareus <robin@gareus.org>
+ Robin Gareus <robin@gareus.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
- libasound2-dev,
  libftgl-dev,
  libglu1-mesa-dev,
+ libcairo2-dev,
+ libpango1.0-dev,
  libjack-dev | libjack-jackd2-dev,
+ libasound2-dev,
  liblo-dev,
  libsndfile1-dev,
  libx11-dev,
  libzita-convolver-dev (>=3.1.0),
  lv2-dev (>=1.0.0~dfsg2-2),
- tcl-dev,
- tk-dev
-Standards-Version: 3.9.4
+ ttf-bitstream-vera
+Standards-Version: 3.9.6
 Homepage: http://setbfree.org
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/setbfree.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/setbfree.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	dh_auto_build -- \
